<!--
SPDX-FileCopyrightText: © 2020 Open Networking Foundation <support@opennetworking.org>
SPDX-License-Identifier: Apache-2.0
--!>
# nodejs

Node.js installed via NodeSource Binary Distribution

Only configuration knob is the `nodejs_version`, which should be specified in
the format described in the [NodeSource binary distribution
docs](https://github.com/nodesource/distributions).

## Requirements

Minimum ansible version: 2.9.5

## Example Playbook

```yaml
- hosts: all
  vars:
    nodejs_version: "node_12.x"
  roles:
    - nodejs

```

## License and Author

© 2020 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
